﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataGrid3_1
{
    public class SfGridStyle : DataGridStyle
    {
        public override Color GetCaptionSummaryRowBackgroundColor()
        {
            return Color.Blue;
        }

        public override Color GetCaptionSummaryRowForegroundColor()
        {
            return Color.Wheat;
        }

        public override Color GetRecordBackgroundColor()
        {
            return Color.Green;
        }

        public override Color GetBorderColor()
        {
            //return Color.Red;
            return Color.White;
        }

        public override Color GetSelectionBackgroundColor()
        {
            return Color.Red;
        }

        public override Color GetSelectionForegroundColor()
        {
            return Color.Black;
        }

        public override Color GetHeaderBackgroundColor()
        {
            return Color.Plum;
        }

        public override Color GetHeaderForegroundColor()
        {
            return Color.White;
        }
    }
}
