﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataGrid3_1
{
    public class ViewModel : NotificationObject
    {
        OrderInfoRepository order;
        public ViewModel()
        {
            SetRowstoGenerate(1000);
            gridSelectedItems = new ObservableCollection<object>();
            gridSelectedItems.CollectionChanged += GridSelectedItems_CollectionChanged;
           
        }

        private void GridSelectedItems_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
        }

        #region ItemsSource

        private ObservableCollection<object> gridSelectedItems;

        public ObservableCollection<object> GridSelectedItems
        {
            get { return gridSelectedItems; }
            set { this.gridSelectedItems = value; }
        }

        private ObservableCollection<OrderInfo> ordersInfo;
        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get { return ordersInfo; }
            set { this.ordersInfo = value; }
        }

        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            order = new OrderInfoRepository();
            ordersInfo = order.GetOrderDetails(count);
        }

        #endregion
    }

    public class NotificationObject : INotifyPropertyChanged
    {
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
